image: node:12-alpine

pages:
  cache:
    paths:
    - node_modules/

  stage: deploy
  script:
  - npm install
  - npm run build:prod
  - mkdir -p public && mv dist/tinyflix/* public/
  artifacts:
    paths:
    - public
  only:
  - master
  - pages
